<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//

 //horário normal Brasil

 $timestamp = mktime(date("H")-3, date("i"), date("s"), date("m"), date("d"), date("Y"), 0);

 $data_hora = gmdate("d/m/Y H:i:s", $timestamp);

 //horário verão Brasil

 $timestamp2 = mktime(date("H")-2, date("i"), date("s"), date("m"), date("d"), date("Y"), 0);

 $data_hora2 = gmdate("d/m/Y H:i:s", $timestamp2);

 



  $data_atual = substr($data_hora,0,10);

  $hora_atual = substr($data_hora,11,8);

  

  $dt_cad = datapadrao_date($data_atual);//date("Y-m-d");

  $hr_cad = $hora_atual;//date("H:i:s");

// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){



 $sql_peca="select count(*) as total from base_email where situacao='a'";

 $result_peca=mysqli_query($conexao,$sql_peca) or die (mysqli_error($conexao));		  

 $linha1=mysqli_fetch_array($result_peca); 



              if ($_POST["tipo"] == "msoftx"){ 			   

			  $qtd = 1;

			  }

			  elseif ($_POST["tipo"] == "todos"){ 

			  //echo $todos; 

			  $qtd = $linha1['total'];

			  }



  $tabela = "base_email";

  $dia = "00";

  $mes = "00"; 

  $situacao_t = "a";

  $mensagem   = nl2br(stripslashes($_POST["mensagem"]));

  $result = mysqli_query($conexao,"insert into informativo_fila SET

  titulo='".valida_caracteres($_POST["titulo"])."', 

  mensagem='".valida_caracteres($mensagem)."',

  dt_cad='".$dt_cad."',

  hr_cad='".$hr_cad."',

  situacao='i',

  tipo='".valida_caracteres($_POST["tipo"])."',

  qtd='".valida_caracteres($qtd)."',

  tabela='".valida_caracteres($tabela)."',

  dia='".valida_caracteres($dia)."',

  mes='".valida_caracteres($mes)."',

  situacao_t='".valida_caracteres($situacao_t)."'     

  ") or die (mysqli_error($conexao));

  $registro = mysqli_insert_id();

              savelog($login, "Inseriu novo informativo e-mail: $registro - $_POST[email].");

			  

//================= cria os informativos em fila

			  

 $sql_fila="SELECT * FROM informativo_fila where id='$registro'";

 $result_fila=mysqli_query($conexao,$sql_fila) or die (mysqli_error($conexao));		  

 $linha=mysqli_fetch_array($result_fila);



$tipo = $linha["tipo"];

$dt_cad = $linha["dt_cad"];//date("Y-m-d");

$hr_cad = $linha["hr_cad"];//date("H:i:s");

$quantidade = $linha['qtd']; 



$total = $quantidade/295;

$tem = explode(".",$total);

if($tem[1]>0){

$total3 = $tem[0]+1;

} else {

$total3 = $tem[0];

} 

$total4 = $total3+1;

$intervalo = array("","1-300","301-600","601-900","901-1200","1201-1500","1501-1800","1801-2100","2101-2400");

$cont = 0;

  for ($i=1; $i < $total4 ; $i++) {

  

  $result = mysqli_query($conexao,"insert into informativo_hora SET

  id_informativo='".$registro."', 

  dt_informativo='".$dt_cad."',

  hr_informativo='".$hr_cad."',

  codigo='".$i."',

  tipo='".$tipo."',

  intervalo='".$intervalo[$i]."'   

  ") or die (mysqli_error($conexao)); 

  $cont++;     

  }

  //================

}



$alerta = "O INFORMATIVO [ $registro ] FOI CRIADO E GERORU [ $cont ] FILA(S) DE INFORMATIVOS GERADO(S) COM SUCESSO!!!";

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){



alert("<? echo $alerta ?>");

open('lista_informativos_execucao.php', '_top');



}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>